import { _decorator, math} from 'cc';
import { TouchMgr } from './TouchMgr';
import { RoleList } from './RoleList';
const { ccclass, property } = _decorator;

@ccclass('TouchRoleList')
export class TouchRoleList extends TouchMgr {
    func(pos: math.Vec2): void {
        this.node.parent.getComponent(RoleList).openShadow(pos);
    }
}


